@umadevi It's the problem of the Version. Both OSG and Qt has to be from same Compiler. Make sure that you are using the right Qt version. In CMake, When configuring, please the version of the Qt. And When you built OSG, you should check the build with Qt.